/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { InitializeAccountRequest } from "../models/InitializeAccountRequest";
import { request as __request } from "../core/request";

export class AccountsService {
  /**
   * Creates an account for the currently signed-in user (if none exists).
   * @param requestBody
   * @returns any Success.
   * @throws ApiError
   */
  public static async initialize(requestBody: InitializeAccountRequest): Promise<any> {
    const result = await __request({
      method: "PUT",
      path: `/v1/accounts/current`,
      body: requestBody,
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }
}
